gr::ieee802_15_4::mac Class Referenceabstract

This is the MAC Block. More...

`#include <mac.h>`

Inheritance diagram for gr::ieee802_15_4::mac:
[legend]

## Public Types

typedef boost::shared_ptr< mac > | sptr

## Public Member Functions

virtual int | get_num_packet_errors ()=0
virtual int | get_num_packets_received ()=0
virtual float | get_packet_error_ratio ()=0

## Static Public Member Functions

static sptr | make (bool debug=false, int fcf=0x8841, int seq_nr=0, int dst_pan=0x1aaa, int dst=0xffff, int src=0x3344)

## Detailed Description

This is the MAC Block.

The MAC block...

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<mac> gr::ieee802_15_4::mac::sptr

## Member Function Documentation

## get_num_packet_errors()

virtual int gr::ieee802_15_4::mac::get_num_packet_errors | ( |  | ) |

pure virtual

## get_num_packets_received()

virtual int gr::ieee802_15_4::mac::get_num_packets_received | ( |  | ) |

pure virtual

## get_packet_error_ratio()

virtual float gr::ieee802_15_4::mac::get_packet_error_ratio | ( |  | ) |

pure virtual

## make()

static sptr gr::ieee802_15_4::mac::make | ( | bool | debug = `false`,
|  | int | fcf = `0x8841`,
|  | int | seq_nr = `0`,
|  | int | dst_pan = `0x1aaa`,
|  | int | dst = `0xffff`,
|  | int | src = `0x3344`
| ) |  |

static

The documentation for this class was generated from the following file:

- mac.h